* Fueling Protest 
* Nina von Uexkull
* Last update: Nov 20 2023
* content figures and data produced in stata: 

   
 *set work directory 
 
 import delimited "data.csv", clear 

set scheme white_tableau

* Figure 2: main manuscript  

gen modate = ym(year, month) 
sort gwno modate 
tsset gwno modate, monthly

twoway (line price_usd_2015 modate, yscale(range(0 1.6))  ylabel(0(0.4)1.6) lpattern(solid) lcolor("black") xtitle("") ) (line benchmark_2015_adj modate,  yscale(range(0 1.5)) lpattern(solid) lcolor("gs8") xtitle("") )  if country=="Canada",  title(" Canada") legend(off) saving(g1x,replace) 
 
 
 twoway (line price_usd_2015 modate, yscale(range(0 1.6))  ylabel(0(0.4)1.6) lpattern(solid) lcolor("black") xtitle("") ) (line benchmark_2015_adj modate,  yscale(range(0 1.5)) lpattern(solid) lcolor("gs8") xtitle("") )  if country=="Nigeria",  title(" Nigeria") legend(off) saving(g2x,replace) 

  twoway (line price_usd_2015 modate, yscale(range(0 1.6))  ylabel(0(0.4)1.6) lpattern(solid) lcolor("black") xtitle("") ) (line benchmark_2015_adj modate,  yscale(range(0 1.5)) lpattern(solid) lcolor("gs8") xtitle("") )  if country=="Iraq",  title(" Iraq") legend(off) saving(g4x,replace) 
 

   twoway (line price_usd_2015 modate, yscale(range(0 1.6))  ylabel(0(0.4)1.6) lpattern(solid) lcolor("black") xtitle("") ) (line benchmark_2015_adj modate,  yscale(range(0 1.5)) lpattern(solid) lcolor("gs8") xtitle("") )  if country=="Ghana",  title(" Ghana") legend(off) saving(g6x,replace) 
 
 graph combine "g1x" "g2x"  "g4x"  "g6x"
 
 graph export "Figure2Benchmark.pdf", as(pdf) replace

 

 
 
* Instrumental variable analysis (Table A8, Supplementary material)


* data prep 
  gen months_since_protest1000_cu=months_since_protest1000*months_since_protest1000*months_since_protest1000
  gen months_since_protest1000_sq=months_since_protest1000*months_since_protest1000
  

 * instrumental variable analysis 
 ivregress 2sls protest_onset_2m  months_since_protest months_since_protest_sq months_since_protest_cubed  lnmonths_since_ged_event  i.year i.gwno  ( price_usd_2015_growth_pct  = c.benchmark_2015_adj_growth_pct) if pctbmgap2015adj>1 & pctbmgap2015adj!=. & months_since_protest>2 & price_usd_2015_growth_pct!=. & price_usd_2015_growth_pct_sum3!=., cl (gwno)  
   estat firststage
   
   
  ivregress 2sls protest_onset_2m  months_since_protest months_since_protest_sq months_since_protest_cubed  lnmonths_since_ged_event  nygdppcapcd_growth_pct  lnnygdppcapcd_tlag1   v2x_polyarchy c.v2x_polyarchy#c.v2x_polyarchy lnsppoptotl_tlag1 i.year i.gwno  ( price_usd_2015_growth_pct  = c.benchmark_2015_adj_growth_pct) if pctbmgap2015adj>1 & pctbmgap2015adj!=. & months_since_protest>2 & price_usd_2015_growth_pct!=. & price_usd_2015_growth_pct_sum3!=., cl (gwno)
    outreg2 using myreg1.xls, replace ctitle(2SLS)   dec(3) pdec(2) symbol(**, *)

   estat firststage

     ivregress 2sls protest_onset_2m  months_since_protest months_since_protest_sq months_since_protest_cubed  lnmonths_since_ged_event  nygdppcapcd_growth_pct  lnnygdppcapcd_tlag1   v2x_polyarchy c.v2x_polyarchy#c.v2x_polyarchy lnsppoptotl_tlag1 i.year i.gwno  ( price_usd_2015_growth_pct_sum3  = v130) if pctbmgap2015adj>1 & pctbmgap2015adj!=. & months_since_protest>2 & price_usd_2015_growth_pct!=. & price_usd_2015_growth_pct_sum3!=., cl (gwno)
    outreg2 using myreg1.xls, append ctitle(2SLS)   dec(3) pdec(2) symbol(**, *)
    

   
  ivregress 2sls protest1000_onset_2m  months_since_protest1000    months_since_protest1000_sq months_since_protest1000_cu  lnmonths_since_ged_event  nygdppcapcd_growth_pct  lnnygdppcapcd_tlag1   v2x_polyarchy c.v2x_polyarchy#c.v2x_polyarchy lnsppoptotl_tlag1 i.year i.gwno  ( price_usd_2015_growth_pct  = c.benchmark_2015_adj_growth_pct) if pctbmgap2015adj>1 & pctbmgap2015adj!=. & months_since_protest1000>2 & price_usd_2015_growth_pct!=. & price_usd_2015_growth_pct_sum3!=., cl (gwno)
    outreg2 using myreg1.xls, append ctitle(2SLS)   dec(3) pdec(2) symbol(**, *)
 
   
     ivregress 2sls protest1000_onset_2m  months_since_protest1000    months_since_protest1000_sq months_since_protest1000_cu  lnmonths_since_ged_event  nygdppcapcd_growth_pct  lnnygdppcapcd_tlag1   v2x_polyarchy c.v2x_polyarchy#c.v2x_polyarchy lnsppoptotl_tlag1 i.year i.gwno  ( price_usd_2015_growth_pct_sum3  = v130) if pctbmgap2015adj>1 & pctbmgap2015adj!=. & months_since_protest1000>2 & price_usd_2015_growth_pct!=. & price_usd_2015_growth_pct_sum3!=., cl (gwno)
    outreg2 using myreg1.xls, append ctitle(2SLS)   dec(3) pdec(2) symbol(**, *)
